---
# Source: cert-manager/templates/cainjector-deployment.yaml
apiVersion: apps/v1
kind: Deployment
metadata:
  name: 10-cert-manager-cainjector
  namespace: "security"
  labels:
    app: cainjector
    app.kubernetes.io/name: cainjector
    app.kubernetes.io/instance: 10-cert-manager
    app.kubernetes.io/component: "cainjector"
    app.kubernetes.io/version: "v1.7.2"
    app.kubernetes.io/managed-by: Helm
    helm.sh/chart: cert-manager-v1.7.2
spec:
  replicas: 1
  selector:
    matchLabels:
      app.kubernetes.io/name: cainjector
      app.kubernetes.io/instance: 10-cert-manager
      app.kubernetes.io/component: "cainjector"
  template:
    metadata:
      labels:
        app: cainjector
        app.kubernetes.io/name: cainjector
        app.kubernetes.io/instance: 10-cert-manager
        app.kubernetes.io/component: "cainjector"
        app.kubernetes.io/version: "v1.7.2"
        app.kubernetes.io/managed-by: Helm
        helm.sh/chart: cert-manager-v1.7.2
    spec:
      serviceAccountName: 10-cert-manager-cainjector
      securityContext:
        runAsNonRoot: true
      containers:
        - name: cert-manager
          image: "quay.io/jetstack/cert-manager-cainjector:v1.7.2"
          imagePullPolicy: IfNotPresent
          args:
          - --v=2
          - --leader-election-namespace=kube-system
          env:
          - name: POD_NAMESPACE
            valueFrom:
              fieldRef:
                fieldPath: metadata.namespace
